.issue {
  .panel;

  margin: @panel-body-padding;
  z-index: 1050;

  &[class*='panel-'] {
    .panel;

    border-width: 1px;
    border-style: solid;

    &.panel-default {
      border-color: @panel-default-border;
    }

    &.panel-info {
      border-color: @panel-info-border;

      .panel-footer {
        border-color: @panel-info-border;
      }
    }

    &.panel-success {
      border-color: @panel-success-border;

      .panel-footer {
        border-color: @panel-success-border;
      }
    }

    &.panel-warning {
      border-color: @panel-warning-border;

      .panel-footer {
        border-color: @panel-warning-border;
      }
    }

    &.panel-danger {
      border-color: @panel-danger-border;

      .panel-footer {
        border-color: @panel-danger-border;
      }
    }
  }

  .panel-heading {
    & > a {
      text-overflow: ellipsis;
      overflow: hidden;
      max-width: 80%;
      white-space: nowrap;
      position: relative;
      z-index: 10;
    }

    .btn-group {
      .pull-right;
    }

    & > .fa-star {
      .pull-left;

      position: relative;
      top: 10px;
      font-size: 2.5em;
      line-height: 0px;
      left: -15px;
      opacity: .3;
      z-index: 9;
      transform: rotate(15deg);
    }
  }

  .panel-footer {
    border-top-width: 0;

    strong {
      .pull-right;
    }
  }

  .panel-body {
    -webkit-transition: height .5s, min-height .5s, max-height .5s;
    transition: height .5s, min-height .5s, max-height .5s;
    max-height: 0;
    padding: 0;
    overflow: hidden;
    text-overflow: ellipsis;

    > div {
      min-height: 65px;
      padding: @panel-body-padding;
    }

    p {
      text-overflow: ellipsis;
      overflow: hidden;
    }
  }

  &:hover:not(.dragging) {
    .panel-body {
      -webkit-transition: height .5s, min-height .5s, max-height .5s;
      transition: height .5s, min-height .5s, max-height .5s;
      padding: 0;
      min-height: 65px;
    }

    .panel-footer {
      border-top-width: 1px;
    }
  }

  .shortdesc {
    display: block;
    min-height: 50px;
  }

  .description {
    display: none;
  }

  &.dragging {
    opacity: 0.5;
    transform: rotate(3deg);
    position: absolute;
  }

  &.closed {
    -webkit-transition: opacity .5s;
    transition: opacity .5s;

    opacity: .5;

    &:hover {
      opacity: 1;
    }
  }
}

.panel-info {
  & > .panel-footer {
    background-color: @panel-info-heading-bg;
  }
}

.panel-success {
  & > .panel-footer {
    background-color: @panel-success-heading-bg;
  }
}

.panel-warning {
  & > .panel-footer {
    background-color: @panel-warning-heading-bg;
  }
}

.panel-danger {
  & > .panel-footer {
    background-color: @panel-danger-heading-bg;
  }
}
